# Delete a condition by ID

API to delete a specific condition configured on the instance.

Endpoint: DELETE /api/v1.1/instances/{instanceId}/conditions/{conditionId}
Version: v1.1
Security: AdministrationAccess, ClientAccess

## Security:

  - `AdministrationAccess` (unknown)
    http bearer JWT

  - `ClientAccess` (unknown)
    http bearer JWT

## Path parameters:

  - `instanceId` (string, required)
    The UUID of the Dynamic Monetization instance.

  - `conditionId` (string, required)
    The unique identifier of the condition.
This is a UUID that is generated by Dynamic Monetization.

## Response 204:

  - `204` (unknown)
    Specified condition was successfully deleted.

## Response 400:

  - `400` (unknown)
    Bad Request. Check the request for any errors in the input.

## Response 401:

  - `401` (unknown)
    Unauthorized. Check authentication details.

## Response 403:

  - `403` (unknown)
    Forbidden. Specified condition cannot be deleted while being referenced by actions.

## Response 404:

  - `404` (unknown)
    Specified condition not found for the requested instance.

## Response 500:

  - `500` (unknown)
    Internal Server Error. There was an internal error processing the request. If you need to contact support, please include the reference number provided in the response.

